Loading...
Searching...
No Matches
GridBuilder.h File Reference

Generates a NanoVDB grid from any volume or function. More...

`#include "GridHandle.h"`
`#include "GridStats.h"`
`#include "GridChecksum.h"`
`#include "Range.h"`
`#include "Invoke.h"`
`#include "ForEach.h"`
`#include "Reduce.h"`
`#include "DitherLUT.h"`
`#include <map>`
`#include <limits>`
`#include <sstream>`
`#include <vector>`
`#include <cstring>`

Go to the source code of this file.

## Classes

class | AbsDiff
| Compression oracle based on absolute difference. More...
class | RelDiff
| Compression oracle based on relative difference. More...
class | GridBuilder< ValueT, BuildT, StatsT >
| Allows for the construction of NanoVDB grids without any dependency. More...
struct | GridBuilder< ValueT, BuildT, StatsT >::BuildRoot< ChildT >::Tile
struct | GridBuilder< ValueT, BuildT, StatsT >::BuildNode< ChildT >::Tile
struct | GridBuilder< ValueT, BuildT, StatsT >::BuildLeaf
struct | GridBuilder< ValueT, BuildT, StatsT >::ValueAccessor

## Namespaces

namespace | nanovdb

## Functions

std::ostream & | operator<< (std::ostream &os, const AbsDiff &diff)
std::ostream & | operator<< (std::ostream &os, const RelDiff &diff)

## Detailed Description

Generates a NanoVDB grid from any volume or function.

Author
  Ken Museth

Date
  June 26, 2020

Note
  This is only intended as a simple tool to generate nanovdb grids without any dependency on openvdb.

## Variable Documentation

## child

ChildT* child

## mDstNode

NanoLeafT* mDstNode

## mDstOffset

uint64_t mDstOffset

## value

ValueT value